package com.lqkj.link.module.bulletin.service;

import com.lqkj.link.module.bulletin.domain.NoticeInfo;
import com.lqkj.link.module.bulletin.repository.NoticeInfoRepository;
import com.lqkj.link.module.zone.domain.ShareInfo;
import com.lqkj.link.module.zone.domain.ZoneInfo;
import com.lqkj.link.module.zone.repository.ShareInfoRepository;
import com.lqkj.link.module.zone.repository.ZoneInfoRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Objects;

@Service
public class NoticeInfoService {
    private final NoticeInfoRepository noticeInfoRepository;

    @Autowired
    private ZoneInfoRepository zoneInfoRepository;

    @Autowired
    private ShareInfoRepository shareInfoRepository;

    public NoticeInfoService(NoticeInfoRepository noticeInfoRepository) {
        this.noticeInfoRepository = noticeInfoRepository;
    }

    public List<NoticeInfo> queryList(String userCode) {
        List<NoticeInfo> noticeInfos = noticeInfoRepository.queryWithUserCode(userCode);
        noticeInfos.stream().forEach(noticeInfo -> {
            if (noticeInfo.getType() == 4) {
                if (shareInfoRepository.findByZoneIdAndSharedUserId(noticeInfo.getZoneId(), noticeInfo.getUserId()).size() > 0){
                    ShareInfo shareInfo = shareInfoRepository.findByZoneIdAndSharedUserId(noticeInfo.getZoneId(), noticeInfo.getUserId()).get(0);
                    if (Objects.nonNull(shareInfo.getAcceptStatus())){
                        noticeInfo.setAcceptStatus(shareInfo.getAcceptStatus());
                    }
                }
                else {
                    noticeInfo.setAcceptStatus(false);
                }

            }
        });
        return noticeInfos;
    }

    @Transactional
    public void view(Integer infoId) {
        noticeInfoRepository.view(infoId);
    }
}
