package com.lqkj.link.module.zone.controller;

import com.lqkj.link.message.MessageBean;
import com.lqkj.link.module.zone.domain.TextureInfo;
import com.lqkj.link.module.zone.service.TextureInfoService;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/texture")
@Tag(name = "贴图管理", description = "贴图管理")
public class TextureInfoController {

    @Autowired
    private TextureInfoService textureInfoService;


    /**
     * 保存贴图
     * @param textureInfo
     * @return
     */
    @PostMapping("/save")
    public MessageBean save(@RequestBody TextureInfo textureInfo) {
        textureInfoService.sava(textureInfo);
        return MessageBean.ok(null, "保存贴图成功");
    }

    /**
     * 批量删除贴图
     * @param materialIds
     * @return
     */

    @PostMapping("/batchDelete")
    public MessageBean batchDelete(@RequestParam List<Integer> materialIds){
        textureInfoService.batchDelete(materialIds);
        return MessageBean.ok(null, "删除贴图成功");
    }


    /**
     * 获取全部贴图
     * @param name
     * @return
     */
    @PostMapping("/getAll")
    public List<TextureInfo> getAll(@RequestParam(required = false, defaultValue = "") String name, @RequestParam Integer userId) {
        return textureInfoService.getAll(name, userId);

    }



}
