package com.lqkj.link.module.zone.domain;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Entity
@Table(name = "model_info")
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class ModelInfo {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "model_id")
    @Schema(description = "模型信息ID")
    private Integer modelId;
    @Column(name = "category_id")
    @Schema(description = "分类/文件夹ID")
    private Integer categoryId;
    @Column(name = "model_name")
    @Schema(description = "模型名称")
    private String modelName;
    @Column(name = "json_path")
    @Schema(description = "空间信息json文件地址")
    String jsonPath;
    @Column(name = "texture_path")
    @Schema(description = "贴图文件地址")
    private String texturePath;
    @Column(name = "order_id")
    @Schema(description = "排序")
    private Integer orderId;
    @Column(name = "original_path")
    @Schema(description = "原始文件地址")
    private String originalPath;
    @Column(name = "model_icon")
    @Schema(description = "模型图标")
    private String modelIcon;
    @Transient
    private String Name;
    @Column(name = "template_id")
    private Integer templateId;

    /**
     * 类型编号1：fbx文件 2：pak包
     **/
    @Column(name = "type_number")
    private Integer typeNumber;

    public String getName() {
        return modelId.toString();
    }
}
