package com.lqkj.link.module.zone.domain;


import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Entity
@Table(name = "texture_info")
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class TextureInfo {


    @Id
    @Column(name = "texture_id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Schema(description = "贴图ID")
    private Integer textureId;

    @Column(name = "texture_name")
    @Schema(description = "贴图名称")
    private String textureName;

    @Column(name = "texture_path")
    @Schema(description = "文件路径")
    private String texturePath;

    @Column(name = "user_id")
    @Schema(description = "用户id")
    private Integer userId;

    @Transient
    private String name;

    public String getName() {
        return textureId.toString();
    }

}
