package com.lqkj.link.module.zone.service.impl;

import cn.hutool.core.util.RandomUtil;
import com.lqkj.link.module.authority.repository.UserInfoRepository;
import com.lqkj.link.module.zone.domain.TextureInfo;
import com.lqkj.link.module.zone.repository.TextureInfoRepository;
import com.lqkj.link.module.zone.service.TextureInfoService;
import com.lqkj.link.util.Unzipper;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.io.File;
import java.io.IOException;
import java.util.*;
import java.util.stream.Collectors;

@Service
public class TextureInfoServiceImpl implements TextureInfoService {

    @Autowired
    private TextureInfoRepository textureInfoRepository;

    @Autowired
    private UserInfoRepository userInfoRepository;

    @Transactional
    @Override
    public void sava(TextureInfo textureInfo) {
        if ((Objects.nonNull(textureInfo.getTextureId()) && textureInfoRepository.hasSameNameWithoutOne(textureInfo.getTextureId(), textureInfo.getTextureName()))
            || (Objects.isNull(textureInfo.getTextureId()) && textureInfoRepository.hasSameName(textureInfo.getTextureName()))) {
            throw new RuntimeException("贴图名称不能重复!");
        }
        textureInfoRepository.save(textureInfo);
        userInfoRepository.updateRefreshStatus();
    }

    @Transactional
    @Override
    public void batchDelete(List<Integer> textureId) {
        textureInfoRepository.deleteAllById(textureId);
        // 更新用户资源刷新状态
        userInfoRepository.updateRefreshStatus();
    }

    @Override
    public List<TextureInfo> getAll(String name, Integer userId) {

        return textureInfoRepository.getAll(name, userId);
    }

    


}
