package com.lqkj.link.util;

public class PhoneUtils {

    /**
     * 加密手机号中间四位为*
     * @param phoneNumber 原始手机号码
     * @return 加密后的手机号码
     * @throws IllegalArgumentException 如果手机号长度不等于11位
     */
    public static String encryptPhoneNumber(String phoneNumber) {
        // 检查手机号长度是否为11位i
        if ("meta-link".equals(phoneNumber)) return phoneNumber;
        if (phoneNumber == null) {
            throw new IllegalArgumentException("手机号长度不正确");
        }

        // 将手机号分为前三位、中间四位、后四位
        String prefix = phoneNumber.substring(0, 3);
        String middle = phoneNumber.substring(3, 7); // 中间四位
        String suffix = phoneNumber.substring(7);

        // 中间四位加密为*
        middle = "****";

        // 拼接加密后的手机号
        String encryptedNumber = prefix + middle + suffix;
        return encryptedNumber;
    }
}
